using System;
using System.Collections;
using System.Collections.Generic;
using System.Diagnostics.Contracts;
using System.Reflection;

namespace InABox.Serialization
{

    public interface ISerializer<TFormat>
    {
        TFormat Serialize<TType>(TType o); // where TType : BaseObject, new();
        TType Deserialize<TType>(TFormat data); // where TType : BaseObject, new();
    }



}
